
#ifndef __r_MUlist_INCLUDED
#define __r_MUlist_INCLUDED

/*************************************************************************
*                            r_MUlist.h
*                            ------
*  Detta r de publika metoderna fr MUlist.c
****************************************************************************/
void 		muInit();
void 		muUpdateUnitList(void);
void 		muAddSampl(uint8_t value, uint8_t addTo);
void 		muAddPacket(pack* pPacket);
void 		muSetWitAvail(uint16_t availible, uint8_t mu);
uint16_t 	muGetWitAvail(uint8_t mu);
void 		muSetWitEnabl(uint16_t enable, uint8_t mu);
uint16_t 	muGetWitEnabl(uint8_t mu);
void 		muSetAddr(uint8_t addr, uint8_t mu);
uint8_t 	muGetAddr(uint8_t mu);
uint8_t 	muFindAddr(uint8_t addr);
void 		muSampleWIT(uint16_t toSample);
uint8_t 	muGetSamp(uint8_t mu, uint8_t WIT);
uint8_t 	muCalcTendency(uint8_t WIT);
uint8_t 	muCalcAverage(uint8_t WIT);
uint8_t 	muReqSamp(uint8_t mu, uint8_t WIT);
uint8_t 	muAddUnit(void);
void 		muClearSamples(uint8_t mu);

#endif