/**
* Public function declarations for radio.c
*/

#ifndef __r_rad_INCLUDED
#define __r_rad_INCLUDED

void 		rad_init();
uint8_t* 	rad_getBuff();
void 		rad_stdbymode(uint8_t mode);
void 		TX_Mode(void);
void 		RX_Mode(void);
void 		TX_Data(uint8_t* pPayload, uint8_t bytes);
void 		RX_Data(uint8_t* pPayload, uint8_t bytes);
uint8_t 	rad_cmd(uint8_t to_flush);
uint8_t 	rad_getstat();
uint8_t 	rad_getfifo(void);
uint8_t 	rad_putreg(uint8_t* pData, uint8_t reg, uint8_t bytes);
uint8_t 	rad_getreg(uint8_t* pBuff, uint8_t reg, uint8_t bytes);
void 		rad_showconf();
void 		rad_showfifo();
void		rad_test();
void 		rad_IRQ(void);
void 		rad_clean(void);
void 		rad_setTXAddr(uint8_t toAddr);
#endif