#ifndef INCPROT_DU_DEF
#define INCPROT_DU_DEF

#define MAIN 0x00

void updateUI(void);
void putvalues(uint8_t mu, uint8_t wit, uint8_t value);

typedef struct menu_t{
	uint8_t name;
	struct menu_t* button[10];	//button0 = parrent
	uint8_t selbut;
	void (*doit)(struct menu_t*);
} menu_t;

typedef struct dispfield_t{
	uint8_t value;
	uint8_t mu;
	uint8_t wit;
} dispfield_t;


/**
* WIT types
*/
#define	TEMP 0x00
#define HUMID 0x01
#define ATM_PRESSURE 0x02
#define RAIN 0x03
#define WIND_SPEED 0x04
#define WIND_DIR 0x05
#define TENDENCY 0x06
#define HUMID_HIST 0x07
#define ATM_PRESSURE_HIST 0x08
#define TEMP_HIST 0x09
#define WIND_SPEED_HIST 0x0A

/**
 * Define: Directions
 * Directions for the wind
 */
#define N 0x00
#define NE 0x01
#define E 0x02
#define SE 0x03
#define S 0x04
#define SW 0x05
#define W 0x06
#define NW 0x07

#endif
