/**
* Public function declarations for commHandler.c
*/

#ifndef __r_com_INCLUDED
#define __r_com_INCLUDED

#include "INC/defcom.h"

void 	comInit(void);
void 	comReceive(void);
void 	comSend(pack* pPacket, char addr);
void 	comAck(uint8_t toAddr);
uint8_t comAckTimeout(void);
void 	comPacketEncode(pack* pPacket, uint8_t* payload);
void 	comPacketDecode(char* pBytes, pack* pOutPacket);

#endif