	/**
* Public function declarations for spi.c
*/

#ifndef __r_spi_INCLUDED
#define __r_spi_INCLUDED

/**
* Initiates the spi interface
*/
void spiInit();

/**
* Function to exchange bytes with a spi perefiral.
*/
uint8_t spiTransieve(uint8_t payload);

/**
* Function to exchange multiple bytes with a spi perefiral.
*/
void spiTransMulti(uint8_t* payload, uint8_t nrOfBytes);
void spiStart(uint8_t SPI_CS_PIN);
void spiEnd(uint8_t SPI_CS_PIN);
void spiSetCE(uint8_t val);
#endif
