/**
* Public function declarations for radio.c
*/

#ifndef __r_rad_INCLUDED
#define __r_rad_INCLUDED

void 		rad_init(void);
uint8_t 	rad_getstat(void);
uint8_t 	rad_getfifostat(void); 
uint8_t 	rad_getconf(void);
uint8_t 	rad_getobs(void) ;

void		rad_clean(void);
void 		rad_pwrDwn(void);
void	 	rad_stdbymode(uint8_t mode);

uint8_t* 	rad_getbuff(void);
void		rad_setTXAddr(uint8_t toAddr);
void 		rad_setRXAddr(uint8_t addr);
void 		TX_Mode(void);
void 		RX_Mode(void);
uint8_t		TX_Data(uint8_t* pPayload, uint8_t bytes);
void 		RX_Data(uint8_t* pPayload, uint8_t bytes);
uint8_t 	rad_freeslots(void);
void		rad_IRQ(void);

uint8_t 	rad_putreg(uint8_t* pData, uint8_t reg, uint8_t bytes);
uint8_t 	rad_getreg(uint8_t* pBuff, uint8_t reg, uint8_t bytes);
uint8_t 	rad_cmd(uint8_t to_flush);

void 		setReceiverEnabled(uint8_t inVal);
uint8_t 	getReceiverEnabled(void);
void 		rad_test(void);
void 		setSinceLastFlags(uint8_t val);
uint8_t 	getSinceLastFlags(void);
#endif
